export declare enum DecimalByteUnit {
    /**
     * Byte (B)
     * 1 Byte
     */
    Byte = 0,
    /**
     * Kilobyte (kB)
     * 10^3 Byte = 1.000 Byte
     */
    KB = 1,
    /**
     * Megabyte (MB)
     * 10^6 Byte = 1.000.000 Byte
     */
    MB = 2,
    /**
     * Gigabyte (GB)
     * 10^9 Byte = 1.000.000.000 Byte
     */
    GB = 3,
    /**
     * Terabyte (TB)
     * 10^12 Byte = 1.000.000.000.000 Byte
     */
    TB = 4,
    /**
     * Petabyte (PB)
     * 10^15 Byte = 1.000.000.000.000.000 Byte
     */
    PB = 5
}
